org.apache.ode.bpel.compiler

## Class WSDLLocatorImpl

- java.lang.Object
- - org.apache.ode.bpel.compiler.WSDLLocatorImpl

- All Implemented Interfaces:
    javax.wsdl.xml.WSDLLocator

      public class WSDLLocatorImpl
      extends java.lang.Object
      implements javax.wsdl.xml.WSDLLocator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WSDLLocatorImpl(ResourceFinder resourceFinder, java.net.URI base)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `org.xml.sax.InputSource` | `getBaseInputSource()`
    `java.lang.String` | `getBaseURI()`
    `org.xml.sax.InputSource` | `getImportInputSource(java.lang.String parent, java.lang.String imprt)`
    `java.lang.String` | `getLatestImportURI()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WSDLLocatorImpl

          public WSDLLocatorImpl(ResourceFinder resourceFinder,
                                 java.net.URI base)

  - ### Method Detail

    - #### getBaseInputSource

          public org.xml.sax.InputSource getBaseInputSource()

      Specified by:
        `getBaseInputSource` in interface `javax.wsdl.xml.WSDLLocator`

    - #### getImportInputSource

          public org.xml.sax.InputSource getImportInputSource(java.lang.String parent,
                                                              java.lang.String imprt)

      Specified by:
        `getImportInputSource` in interface `javax.wsdl.xml.WSDLLocator`

    - #### getBaseURI

          public java.lang.String getBaseURI()

      Specified by:
        `getBaseURI` in interface `javax.wsdl.xml.WSDLLocator`

    - #### getLatestImportURI

          public java.lang.String getLatestImportURI()

      Specified by:
        `getLatestImportURI` in interface `javax.wsdl.xml.WSDLLocator`

    - #### close

          public void close()

      Specified by:
        `close` in interface `javax.wsdl.xml.WSDLLocator`